.toast-anima-enter-active {
  -webkit-animation: toast-in 0.2s;
          animation: toast-in 0.2s;
}
.toast-anima-leave-active {
  animation: toast-in 0.2s reverse;
}
.toast-overlay {
  position: fixed;
  top: 60%;
  left: 50%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 0.09rem 0.1rem;
  min-height: 0.4rem;
  min-width: 2.4rem;
  max-width: 2.6rem;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  z-index: 999;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  background-color: rgba(34,34,34,0.9);
  border-radius: 0.04rem;
  -webkit-backface-visibility: hidden;
}
.toast-overlay > p {
  font-size: 0.12rem;
  color: #fff;
  text-align: center;
  line-height: 0.16rem;
}
@-webkit-keyframes toast-in {
from {
    opacity: 0;
}
to {
    opacity: 1;
}
}
@keyframes toast-in {
from {
    opacity: 0;
}
to {
    opacity: 1;
}
}

* {
  -webkit-tap-highlight-color: transparent;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
/* 禁止文字可选，对于P标签未生效，采用JS屏蔽可选 */
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  margin: 0;
  padding: 0;
}
* {
  -webkit-overflow-scrolling: touch;
}
input,
textarea {
  -webkit-user-select: text;
     -moz-user-select: text;
      -ms-user-select: text;
          user-select: text;
}
ol,
ul {
  list-style: none;
}
html {
  font-size: 100px;
  height: 100%;
}
body {
  position: relative;
  height: 100%;
  font-size: 0.16rem;
  color: #2b2b2b;
  cursor: pointer;
  font-family: 'Roboto', 'arial', 'Helvetica-regular', 'Helvetica-regular', 'Apple SD Gothic Neo-regular';
  background: #191919 url("//files.dreame.com/dreame/image/0df4e315632a6ede24c85fe4fd9da1f8/login_bg.png") center top no-repeat;
  background-size: cover;
}
a,
a:hover,
a:active,
a:visited {
  color: inherit;
  text-decoration: none;
}
button {
  outline: none;
  border: 0;
}
.clearfix:after {
  display: block;
  content: "";
  clear: both;
}
.pc-wrapper {
  height: 100%;
}
@media (min-width: 768px) {
.pc-wrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}
footer {
    display: none;
}
body {
    cursor: default;
}
section.login-box {
    padding-top: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
}
button {
    margin: 0 auto;
}
}
body {
  height: 100%;
  font-size: 0.16rem;
  font-family: 'Roboto', 'arial', 'Helvetica-regular', 'Helvetica-regular', 'Apple SD Gothic Neo-regular';
  color: #222;
}
input {
  font-size: 0.16rem;
  color: $$text_black;
  padding: 0.13rem 0;
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  outline: 0;
  -webkit-appearance: none;
  border: none;
}
input::-webkit-input-placeholder {
  font-size: 0.14rem;
  color: rgba(34,34,34,0.4);
}
input:-moz-placeholder {
  font-size: 0.14rem;
  color: rgba(34,34,34,0.4);
}
input::-moz-placeholder {
  font-size: 0.14rem;
  color: rgba(34,34,34,0.4);
}
input:-ms-input-placeholder {
  font-size: 0.14rem;
  color: rgba(34,34,34,0.4);
}
.login-page {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  background: #fff url("//file.ficfun.com/group1/M00/09/A4/rB84XV79W2eAXmsRAABE9Aw9-R4769.png") no-repeat;
  background-size: contain;
  padding: 0.2rem;
  font-family: 'Roboto', 'arial', 'Helvetica-regular', 'Helvetica-regular', 'Apple SD Gothic Neo-regular';
  width: 5.2rem;
  height: 4.8rem;
  position: relative;
}
.login-back {
  position: absolute;
  right: 0.2rem;
  top: 0.2rem;
  font-size: 0.16rem;
  color: #2477fa !important;
  font-style: inherit;
  cursor: pointer;
}
.login-box {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  padding: 0.56rem 0.36rem 0;
  text-align: center;
  width: 3.1rem;
  margin: 0 auto;
}
.login-box .title {
  font-family: 'Roboto-Medium', 'arial', 'Helvetica-bold', 'Helvetica-bold', 'Apple SD Gothic Neo-regular';
  font-size: 0.24rem;
  color: #222;
  text-align: left;
}
.login-box .subtitle {
  margin-top: 0.1rem;
  line-height: 0.2rem;
  text-align: left;
  font-size: 0.14rem;
  color: rgba(34,34,34,0.6);
}
.login-center-box {
  padding-top: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.form-box {
  margin-top: 0.2rem;
}
.form-box > li {
  position: relative;
}
.form-box .input-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.form-box .input-box .icon {
  width: 0.26rem;
  height: 0.26rem;
  margin-top: -0.03rem;
  margin-right: 0.03rem;
}
.form-box .input-box .email-icon {
  background: url("//file.dreame.com/group1/M00/09/CC/rB84XV7-3O6ARgryAAADqur-mwk919.png") no-repeat;
  background-size: contain;
}
.form-box .input-box .pwd-icon {
  background: url("//file.dreame.com/group1/M00/09/CC/rB84dl7-2saAIl5yAAAB6TvoJwA039.png") no-repeat;
  background-size: contain;
}
.form-box .close-eye {
  height: 0.22rem;
  width: 0.22rem;
  background-image: url("//file.dreame.com/group1/M00/01/80/rB84XV06pM-AF1k0AAACpm5NiHI101.png");
  background-repeat: no-repeat;
  background-size: 100% 100%;
}
.form-box .close-eye.open {
  background-image: url("//file.dreame.com/group1/M00/01/80/rB84XV06pM-AQz3RAAACeA3rsKE847.png");
}
.form-box .error-info {
  padding-top: 0.1rem;
  border-top: 0.01rem solid #d8d8d8;
  line-height: 0.14rem;
  text-align: left;
  font-size: 0.12rem;
  color: #2477fa;
  height: 0;
}
.form-box .error-info > span {
  visibility: hidden;
}
.form-box .error-info.error {
  border-color: #2477fa;
  height: auto;
}
.form-box .error-info.error > span {
  visibility: visible;
}
.email-btn {
  margin-top: 0.24rem;
  width: 3rem;
  height: 0.44rem;
  background: #2477fa;
  border-radius: 0.02rem;
  font-size: 0.18rem;
  color: #fff;
  font-family: "Roboto";
  cursor: pointer;
}
.email-btn[disabled] {
  background: rgba(36,119,250,0.5);
}
.open-mailbox-btn {
  margin-top: 0.24rem;
  width: 3rem;
  height: 0.44rem;
  color: #2477fa;
  border: 0.01rem solid #2477fa;
  border-radius: 0.02rem;
  font-size: 0.18rem;
  background: #fff;
}
.jump {
  margin: 0.34rem -2rem 0;
  line-height: 0.14rem;
  font-size: 0.16rem;
  color: #2477fa;
  text-align: center;
}
.register-jump {
  margin-top: 0.34rem;
  font-size: 0.16rem;
  color: #222;
  line-height: 0.18rem;
  text-align: right;
}
.link {
  font-family: 'Roboto-Medium', 'arial', 'Helvetica-bold', 'Helvetica-bold', 'Apple SD Gothic Neo-regular';
  color: #2477fa;
}
footer {
  line-height: 0.18rem;
  text-align: center;
  font-size: 0.14rem;
  color: rgba(34,34,34,0.4);
}
footer a {
  color: rgba(34,34,34,0.6);
}
.footer-jump {
  display: block;
}
.description {
  font-family: 'Roboto-Medium', 'arial', 'Helvetica-bold', 'Helvetica-bold', 'Apple SD Gothic Neo-regular';
  font-size: 0.2rem;
  color: #222;
  word-break: break-word;
  text-align: center;
  line-height: 0.21rem;
}
.description > span {
  color: #2477fa;
}
.receive-email-text {
  margin-top: 0.32rem;
  line-height: 0.2rem;
  font-size: 0.16rem;
  color: #222;
}
.email-tip {
  padding: 0.09rem 0;
  position: absolute;
  top: 0.54rem;
  left: 0;
  width: 100%;
  z-index: 1;
  background: #fff;
  -webkit-box-shadow: 0 0 0.1rem 0 rgba(34,34,34,0.1);
          box-shadow: 0 0 0.1rem 0 rgba(34,34,34,0.1);
  border-radius: 0.04rem;
  font-size: 0.14rem;
  text-align: left;
  color: #222;
}
.email-tip > li {
  padding: 0 0.16rem;
  line-height: 0.36rem;
}
.email-tip > li:hover,
.email-tip > li.active {
  background: #faf8e4;
}
.contact-text {
  margin-top: 0.18rem;
  font-size: 0.12rem;
  color: rgba(34,34,34,0.6);
  text-align: center;
  line-height: 0.2rem;
}
.contact-text > strong {
  color: #222;
}

